Summary:	Ping-like tool for HTTP requests
Summary(pl.UTF-8):	Narzędzie do "pingowania" poprzez protokół HTTP
Name:		httping
Version:	2.5
Release:	1
License:	GPL v2
Group:		Networking/Utilities
Source0:	http://www.vanheusden.com/httping/%{name}-%{version}.tgz
# Source0-md5:	a92976c06af8b80af17f70f0cb059bdc
URL:		http://www.vanheusden.com/httping/
BuildRequires:	fftw3-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
httping is a "ping"-like tool for HTTP requests. Give it a URL and it
will show how long it takes to connect, send a request, and retrieve
the reply (only the headers). It can be used for monitoring or
statistical purposes (measuring latency).

%description -l pl.UTF-8
httping jest narzędziem podobnym do pinga, służącym do wysyłania
zapytań HTTP. Po podaniu URL-a httping pokazuje jak wiele czasu
zajmuje połączenie, wysłanie zapytania i otrzymanie odpowiedzi (tylko
nagłówki). Httping może być używany do monitorowania lub do celów
statystycznych.

%prep
%setup -q

%build
cat << EOF > makefile.inc
SSL=yes
NC=yes
FW=yes
EOF

%{__make} \
	CC="%{__cc}" \
	DEBUG="" \
	OFLAGS="%{rpmcflags} -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang httping

%clean
rm -rf $RPM_BUILD_ROOT

%files -f httping.lang
%defattr(644,root,root,755)
%doc readme.txt
%attr(755,root,root) %{_bindir}/httping
%{_mandir}/man1/httping.1*
%lang(nl) %{_mandir}/nl/man1/httping-nl.1*
%lang(ru) %{_mandir}/ru/man1/httping-ru.1*
%changelog
* Fri Jan 13 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/httping.git;a=log;h=master

* Fri Jan 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 6a2c234
- Update to 2.5

* Fri Feb 13 2015 Łukasz Kieś <kiesiu@pld-linux.org> d031670
- updated to 2.4

* Tue Feb 04 2014 Łukasz Kieś <kiesiu@pld-linux.org> 9e3a56f
- updated to 2.3.4

* Thu Nov 21 2013 Łukasz Kieś <kiesiu@pld-linux.org> 57267f4
- updated to 2.3.3
- packaged locales

* Fri May 03 2013 Łukasz Kieś <kiesiu@pld-linux.org> ede31b3
- updated to 2.2.1
- patch0 is obsoleted

* Fri May 03 2013 Łukasz Kieś <kiesiu@pld-linux.org> cff3809
- obsoleted

* Tue Apr 09 2013 Łukasz Kieś <kiesiu@pld-linux.org> 3bc39c3
- updated to 2.2
- added patch to fix incorrect ncurses headers usage
- workaround stupid configure script (not autotool)

* Tue Apr 09 2013 Łukasz Kieś <kiesiu@pld-linux.org> 55f3198
- obsoleted

* Fri Mar 01 2013 Łukasz Kieś <kiesiu@pld-linux.org> 0e64442
- updated to 1.6

* Fri Feb 22 2013 Łukasz Kieś <kiesiu@pld-linux.org> f5eca79
- updated to 1.5.8
- license is GPL v2

* Wed Jan 23 2013 Łukasz Kieś <kiesiu@pld-linux.org> e17e8ae
- updated to 1.5.7

* Mon Oct 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> e611f70
- updated to 1.5.5

* Fri Sep 07 2012 Karol Krenski <charles@pld-linux.org> 9a2a5e2
- up to 1.5.4

* Sat Jun 16 2012 Łukasz Kieś <kiesiu@pld-linux.org> b478b08
- updated to 1.5.3

* Sun Feb 12 2012 zbyniu <zbyniu@pld-linux.org> 94c9afc
- up to 1.5.2

* Thu Apr 28 2011 marti <marti@pld-linux.org> 178bc31
- up to 1.4.4

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 3d56991
- release 3

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 612dffb
- release 2

* Thu Mar 11 2010 duddits <duddits@pld-linux.org> 779dfba
- http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=552901

* Thu Mar 11 2010 duddits <duddits@pld-linux.org> 0282bff
- up to 1.4.1
- strndup.patch added, see
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=552901 for details

